lkml.org 
[lkml]   [2021]   [Jan]   [20]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectRe: [STABLE BACKPORT 4.4.y, 4.9.y and 4.14.y] compiler.h: Raise minimum version of GCC to 5.1 for arm64
On Wed, Jan 20, 2021 at 12:29 AM Nathan Chancellor
<natechancellor@gmail.com> wrote:
> On Tue, Jan 19, 2021 at 02:15:43PM -0800, Nick Desaulniers wrote:
> >
> > Merging this from stable into "Android Common Kernel" trees that were
> > built with AOSP GCC 4.9, I expect this to break some builds. Arnd,
> > IIRC did you mention that AOSP GCC had picked up a fix? If so, did
> > you verify that via disassembly, or gerrit patch file?

The only information I had was the fact that the gcc bug tracker
mentioned it being picked up into the Android gcc and gcc-linaro.
I verified that it was present in gcc-linaro, but did not also check
the Android sources.

> If so, it looks like that patch was picked up in this commit.
>
> https://android.googlesource.com/toolchain/gcc/+/5ae0308a147ec3f6502fd321860524e634a647a6

Right.

Arnd

\
 
 \ /
  Last update: 2021-01-20 09:13    [W:0.050 / U:2.668 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site